# Send pre-authentication for evaluation Send pre authentication information to customer to evaluate the authentication. # OpenAPI definition ```json { "openapi": "3.0.1", "info": { "title": "Card issuing - 3DS authentication", "description": "3DS API endpoint documentation.", "contact": { "name": "API Support", "email": "support@pismo.com.br", "url": "https://developers.pismo.io/support/" }, "license": { "name": "Copyright Pismo", "url": "https://developers.pismo.io/licenses/" }, "version": "1.0.0" }, "servers": [ { "url": "https://api-sandbox.pismolabs.io/3ds-acs", "description": "Sandbox API server for testing" } ], "tags": [ { "name": "HST", "description": "Endpoints to provide integration with HST." } ], "components": { "parameters": { "accountIDheader": { "in": "header", "name": "account_id", "schema": { "type": "integer" }, "description": "Account ID", "required": true }, "cardIDheader": { "in": "header", "name": "card_id", "schema": { "type": "integer" }, "description": "Card ID", "required": true }, "tenantIDheader": { "name": "x-tenant", "in": "header", "schema": { "type": "string" }, "required": true, "description": "Tenant/org ID" } }, "schemas": { "Account": { "type": "object", "properties": { "id": { "$ref": "#/components/schemas/AccountID" }, "document_number": { "$ref": "#/components/schemas/DocumentNumber" }, "postal_code": { "$ref": "#/components/schemas/PostalCode" } } }, "AccountID": { "type": "integer", "description": "Pismo account ID", "example": 10045896 }, "Any": { "type": "object", "example": { "valueA": "a", "valueB": 1, "valueC": false, "valueD": { "valueD1": "x" }, "valueN": "..." } }, "Card": { "type": "object", "properties": { "id": { "$ref": "#/components/schemas/CardID" }, "mode_id": { "$ref": "#/components/schemas/CardModeID" }, "type": { "$ref": "#/components/schemas/CardType" }, "hash": { "$ref": "#/components/schemas/PANhash" }, "bin": { "$ref": "#/components/schemas/CardBIN" }, "last_four_digits": { "$ref": "#/components/schemas/CardLast4Digits" } } }, "CardBIN": { "type": "string", "description": "Card BIN (Bank Identification Number)", "example": "885692" }, "CardID": { "type": "integer", "description": "Card ID", "example": 869572 }, "CardLast4Digits": { "type": "string", "description": "Card last four PAN digits", "example": "0153" }, "CardModeID": { "type": "integer", "description": "Card mode ID", "example": 102 }, "CardType": { "type": "string", "description": "Card type", "enum": [ "PLASTIC", "VIRTUAL", "RECURRING", "TEMPORARY" ], "example": "PLASTIC" }, "Customer": { "type": "object", "properties": { "id": { "$ref": "#/components/schemas/CustomerID" } } }, "CustomerID": { "type": "number", "description": "Customer ID", "example": 867604 }, "challenge_info": { "type": "object", "description": "Customer challenge information including cardholder data", "properties": { "cardholder_name": { "type": "string", "description": "Cardholder name", "example": "John Doe" }, "method": { "type": "string", "description": "Method to be used to challenge the cardholder. Possible values:\n- OTP\n- OOB\n", "enum": [ "OTP", "OOB" ], "example": "OTP" }, "cardholder_phone": { "type": "object", "description": "Cardholder phone number details", "properties": { "country_code": { "type": "string", "description": "Country code", "example": "55" }, "area_code": { "type": "string", "description": "Area code", "example": "11" }, "number": { "type": "string", "description": "Phone number without area code", "example": "912345678" } } } } }, "EvaluatedDecision": { "type": "string", "example": "approve", "description": "Client's anti-fraud evaluated decision", "enum": [ "approve", "reject", "request_challenge" ] }, "SubIssuerId": { "type": "string", "example": "ANOTHER_BANK", "description": "Client's subissuer override, we will use this one to override the issuerSpecificData.subissuerID, if empty, we will use the org_id value." }, "ProductId": { "type": "string", "example": "CREDIT", "description": "Client's product override, we will use this one to override the issuerSpecificData.productID, if empty, we will use the program_id value." }, "DocumentNumber": { "type": "string", "description": "Cardholder document number. A government document number, such as a Social Security number (US) or Cadastro de Pessoas FĂ­sicas number (Brazil).", "example": "00011122233" }, "Evaluate": { "type": "object", "required": [ "id", "external_id", "provider", "type", "card", "account", "customer", "program", "raw_provider" ], "properties": { "id": { "$ref": "#/components/schemas/PismoAuthID" }, "external_id": { "$ref": "#/components/schemas/ExternalID" }, "provider": { "$ref": "#/components/schemas/Provider" }, "type": { "$ref": "#/components/schemas/Type" }, "card": { "$ref": "#/components/schemas/Card" }, "account": { "$ref": "#/components/schemas/Account" }, "program": { "$ref": "#/components/schemas/Program" }, "customer": { "$ref": "#/components/schemas/Customer" }, "raw_provider": { "$ref": "#/components/schemas/RawProvider" } } }, "EvaluateResponse": { "type": "object", "required": [ "decision" ], "properties": { "decision": { "$ref": "#/components/schemas/EvaluatedDecision" }, "challenge_info": { "$ref": "#/components/schemas/challenge_info" }, "subissuer_id": { "$ref": "#/components/schemas/SubIssuerId" }, "product_id": { "$ref": "#/components/schemas/ProductId" }, "metadata": { "$ref": "#/components/schemas/Any" } } }, "ExternalID": { "type": "string", "description": "Provider-generated unique ID for client monitoring and tracking", "example": "ABC123456" }, "PANhash": { "type": "string", "description": "Encrypted PAN using 2048 rsa key and base64 encoded.\nPismo provides the encrypt/decrypt keys for this field.\n", "example": "WEPvOQuZvjfYEd0iBmr43bhWyOsylIsW95ebYrLD89App2iEq9IizP+8w73pxKQ4mI47EdhzYHF9RfXjrBOyug==" }, "PismoAuthID": { "type": "string", "description": "Pismo-generated unique authentication ID", "example": "ff77635e-1cd6-4fda-992d-5ceb71d75644" }, "PostalCode": { "type": "string", "description": "Cardholder postal code", "example": "01701000" }, "Program": { "type": "object", "properties": { "id": { "type": "integer", "example": 986, "description": "Program ID" } } }, "Provider": { "type": "string", "description": "Third-party provider name", "enum": [ "HST" ], "example": "HST" }, "RawProvider": { "type": "object", "description": "All non-PCI information received from provider. Check provider documentation for details." }, "Type": { "type": "string", "description": "Evaluation intention", "example": "authentication", "enum": [ "authentication", "challenge-request" ] } } }, "paths": { "/customer_evaluation_provided_url": { "post": { "summary": "Send pre-authentication for evaluation", "description": "Send pre authentication information to customer to evaluate the authentication.", "operationId": "postEvaluate", "tags": [ "HST" ], "parameters": [ { "$ref": "#/components/parameters/tenantIDheader" }, { "$ref": "#/components/parameters/accountIDheader" }, { "$ref": "#/components/parameters/cardIDheader" } ], "requestBody": { "description": "Send information to evaluation", "required": true, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Evaluate" }, "examples": { "Basic example": { "value": { "id": "ff77635e-1cd6-4fda-992d-5ceb71d75644", "external_id": "ABC123456", "provider": "HST", "type": "authentication", "card": { "id": 869572, "mode_id": 102, "type": "PLASTIC", "hash": "WEPvOQuZvjfYEd0iBmr43bhWyOsylIsW95ebYrLD89App2iEq9IizP+8w73pxKQ4mI47EdhzYHF9RfXjrBOyug==", "bin": "0153", "last_four_digits": "0153" }, "account": { "id": 10045896, "document_number": "00011122233", "postal_code": "01701000" }, "customer": { "id": 12045896 }, "program": { "id": 986 }, "raw_provider": { "valueA": "a", "valueB": 1, "valueC": false, "valueD": { "valueD1": "x" }, "valueN": "..." } } } } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/EvaluateResponse" } } } } } } } } } ```